Mobile App Requirements

Frequent Flyer has a few basic requirements.

Operating system:

  • Android: 4.0 (Ice Cream) and up
  • iOS: 8.0 and up

Age:
You must be older than 13 to use the Frequent Flyer app.


Country:
United States

Back
Not finding what you're looking for?


Contact Us